import { PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
/** AI integrations */
export declare class Ai extends PathEventEmitter {
    private readonly api;
    constructor(api: Api | string);
    /**
     * Ask the AI assistant a question
     * @param {string} question Users question
     * @param {any} context Additional data to aid response
     * @return {Promise<string>} AI's response
     */
    ask(question: string, context?: any): Promise<string>;
    /**
     * Clear AI assistant memory & context
     * @return {Promise<void>} Resolves once complete
     */
    clear(): import('@ztimson/utils').PromiseProgress<any>;
    /**
     * Current chat history
     * @return {Promise<{role: string, content: string}[]>}
     */
    history(): Promise<{
        role: string;
        content: string;
    }[]>;
}
//# sourceMappingURL=ai.d.ts.map