import { PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
/** Email model */
export type Mail = {
    /** Sending mailing list */
    to: string | string[];
    /** CSS mailing list */
    cc?: string[];
    /** BCC mailing list */
    bcc?: string[];
    /** Email subject */
    subject?: string;
    /** Email text or template rendering data */
    body?: string | {
        template: string;
        data?: any;
    };
};
/** Send Emails */
export declare class Email extends PathEventEmitter {
    private readonly api;
    constructor(api: Api | string);
    /**
     * Send Email
     * @param {Mail} email Email to send
     * @return {Promise<any>} Response
     */
    send(email: Mail): import('@ztimson/utils').PromiseProgress<any>;
}
//# sourceMappingURL=email.d.ts.map